Skip to content
Start here

Get upload token

pages.projects.get_upload_token(strproject_name, ProjectGetUploadTokenParams**kwargs) -> ProjectGetUploadTokenResponse
GET/accounts/{account_id}/pages/projects/{project_name}/upload-token

Get a short-lived JWT for Pages Direct Upload asset operations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pages Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
project_name: str

Name of the project.

ReturnsExpand Collapse
class ProjectGetUploadTokenResponse:
jwt: str

Short-lived JWT used to authenticate Pages Direct Upload asset operations.

Get upload token

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pages.projects.get_upload_token(
    project_name="this-is-my-project-01",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.jwt)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "jwt": "jwt"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "jwt": "jwt"
  },
  "success": true
}